package cache

import (
	"dc_golang_server_1/dbmodel"
	"fmt"
	"log"
	"time"
)

func initAreaMap() {
	fmt.Println(time.Now(), "cache: initAreaMap begin")
	var areaID uint32
	var temp AreaStruct
	rows, err := dbmodel.PgDb.Query("SELECT id,county_id,name,location,status,create_at FROM b_area") //
	defer rows.Close()
	if err != nil {
		log.Panicln("SelectAreaToMap rows", err)
	}

	var test2 string
	for rows.Next() {
		err = rows.Scan(&areaID, &temp.CountyID, &temp.Name, &test2, &temp.Status, &temp.CreatAt) //todo 它娘的location这个POINT取不来，咋个是string哦
		if err != nil {
			log.Panicln("SelectAreaToMap rows.Scan", err)
		}
		AreaMap.Store(areaID, temp)
	}
	// 处理完毕后，需要判断一次遍历过程中是否有错误产生
	if err = rows.Err(); err != nil {
		log.Panicln(time.Now(), "initAreaMap rows.Err()", err)
	}

	fmt.Println(time.Now(), "cache: initAreaMap OK")
}
